Subject: Re: linux-next: build failure after merge of the input tree

From: Dmitry Torokhov <[email-masked]>
Date: Thu, 4 Oct 2012 23:12:36 -0700

Hi Stephen,

On Fri, Oct 05, 2012 at 11:47:12AM +1000, Stephen Rothwell wrote:
> Hi Dmitry,
> 
> After merging the input tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/input/tablet/wacom_sys.c: In function 'wacom_get_sibling':
> drivers/input/tablet/wacom_sys.c:643:23: error: 'struct usb_device' has no member named 'children'
> 
> Caused by commit 316f18bba311 ("Input: wacom - handle split-sensor
> devices with internal hubs") interacting with commit ff823c79a5c3 ("usb:
> move children to struct usb_port") that is now in Linus' tree.
> 
> I have used the input tree from next-20121004 for today.

Sorry about this. I pulled the offending patch and another one depending
on it out of my next branch pending my next pull from mainline.

Thanks.

-- 
Dmitry